Bug 702887 - a new release is available
Summary: a new release is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nawk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark McKinstry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-08 02:06 UTC by Account closed by user
Modified: 2011-05-29 20:33 UTC (History)
1 user (show)

Fixed In Version: nawk-20110506-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-20 20:54:20 UTC


Attachments (Terms of Use)

Description Account closed by user 2011-05-08 02:06:25 UTC
Changelog:

May 6, 2011:
	added #ifdef for isblank.
	now allows -ffoo as well as -f foo arguments.
	(thanks, ruslan)

May 1, 2011:
	after advice from todd miller, kevin lo, ruslan ermilov,
	and arnold robbins, changed srand() to return the previous
	seed (which is 1 on the first call of srand).  the seed is
	an Awkfloat internally though converted to unsigned int to
	pass to the library srand().  thanks, everyone. 

	fixed a subtle (and i hope low-probability) overflow error
	in fldbld, by adding space for one extra \0.  thanks to 
	robert bassett for spotting this one and providing a fix.

	removed the files related to compilation on windows.  i no
	longer have anything like a current windows environment, so
	i can't test any of it.

Comment 1 Fedora Update System 2011-05-12 00:56:18 UTC
nawk-20110506-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/nawk-20110506-1.el4

Comment 2 Fedora Update System 2011-05-12 00:56:27 UTC
nawk-20110506-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nawk-20110506-1.el5

Comment 3 Fedora Update System 2011-05-12 00:56:35 UTC
nawk-20110506-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nawk-20110506-1.fc13

Comment 4 Fedora Update System 2011-05-12 00:56:44 UTC
nawk-20110506-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nawk-20110506-1.el6

Comment 5 Fedora Update System 2011-05-12 00:56:51 UTC
nawk-20110506-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nawk-20110506-1.fc15

Comment 6 Fedora Update System 2011-05-12 00:56:59 UTC
nawk-20110506-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nawk-20110506-1.fc14

Comment 7 Mark McKinstry 2011-05-12 01:07:40 UTC
Xose,

I've pushed the updated version to updates and will mark it as stable after 3 days.

Comment 8 Fedora Update System 2011-05-13 23:13:43 UTC
Package nawk-20110506-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nawk-20110506-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nawk-20110506-1.fc13
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-05-20 20:54:15 UTC
nawk-20110506-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-25 18:52:18 UTC
nawk-20110506-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-25 18:53:20 UTC
nawk-20110506-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-29 20:32:18 UTC
nawk-20110506-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-05-29 20:32:45 UTC
nawk-20110506-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-05-29 20:33:17 UTC
nawk-20110506-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.